> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Virtual Account Transactions

> List transactions for a virtual account



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/virtual_accounts/{id}/transactions
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/virtual_accounts/{id}/transactions:
    get:
      tags:
        - virtual_accounts
      summary: List transactions
      description: List transactions
      operationId: TrioFoundationWeb.Banking.VirtualAccount.TransactionController.index
      parameters:
        - description: Virtual Account ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: External ID
          in: query
          name: external_id
          required: false
          schema:
            type: string
        - description: Reconciliation ID
          in: query
          name: reconciliation_id
          required: false
          schema:
            $ref: '#/components/schemas/UUID'
        - description: From datetime
          in: query
          name: from_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: To datetime
          in: query
          name: to_datetime
          required: true
          schema:
            $ref: '#/components/schemas/DATETIME'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Transactions_virtual_account_list_response
          description: Transactions
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    DATETIME:
      description: Datetime schema
      format: date-time
      title: DATETIME
      type: string
    Transactions_virtual_account_list_response:
      description: A list of transaction virtual account
      example:
        data:
          - amount:
              amount: 10
              currency: BRL
            bank_account_id: 0191148f-b189-8e42-27a5-1368cc00dea8
            counterparty_id: 0191148f-b189-8e42-27a5-1368cc00dea8
            document_type: pix
            end_to_end_id: E44444444202405211946Dwg1pjxgehP
            external_id: external_id
            ledger_account_id: 0190df9a-d08e-9574-c79c-9aa0f40ee330
            posting_type: credit
            reconciliation_id: 018f3406-9e00-1766-05c4-4907e14ee511
            ref_id: 0190df9a-d1b1-6bfe-ad26-037579ad8588
            ref_type: out
            transaction_date: '2024-07-21T12:00:01'
            transaction_type: regular
            virtual_account_id: 0190df9a-d08e-9574-c79c-9aa0f40ee330
      properties:
        data:
          items:
            $ref: '#/components/schemas/Bank_account_response'
          type: array
      title: Transactions virtual account list response
      type: object
    Bank_account_response:
      description: A bank account grouping a series of virtual accounts
      example:
        data:
          default_virtual_account_id: 019f2433-fb01-4316-f197-83c21b874372
          description: Bank account Test 1
          entity_id: 019f2433-fb01-fa4d-7e76-dd576331d404
          id: 019f2433-fb01-76ff-79e6-23932adf2268
          inserted_at: '2026-07-02T19:00:14.209793Z'
          updated_at: '2026-07-02T19:00:14.209798Z'
      properties:
        data:
          $ref: '#/components/schemas/Bank_account_schema'
      title: Bank account response
      type: object
    Bank_account_schema:
      description: A bank account schema
      example:
        default_virtual_account_id: 019f2433-fb01-4316-f197-83c21b874372
        description: Bank account Test 1
        entity_id: 019f2433-fb01-fa4d-7e76-dd576331d404
        id: 019f2433-fb01-76ff-79e6-23932adf2268
        inserted_at: '2026-07-02T19:00:14.209793Z'
        updated_at: '2026-07-02T19:00:14.209798Z'
      properties:
        default_virtual_account_id:
          description: Bank account default virtual account ID
          format: uuid
          type: string
        description:
          description: Bank account description
          type: string
        entity_id:
          description: Entity ID
          format: uuid
          type: string
        id:
          description: ID
          format: uuid
          type: string
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Bank account schema
      type: object

````